package com.hzya.frame.sysnew.warningConfig.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 预警配置表(SysWarningConfig)实体类
 *
 * @author makejava
 * @since 2024-09-03 09:28:23
 */
public class SysWarningConfigEntity extends BaseEntity {
 
  /**  公司id */
   private String companyId;
  /**  消息模版id */
   private String messageTemplateId;
  /**  应用id列表 */
   private String appIdList;
  /**  预警应用id */
   private String warningAppId;
  /**  接收推送消息的api编码 */
   private Long acceptMessageApiCode;
  /**  备注 */
   private String remark;
  /**  是否启用（0：停用、1：启用） */
   private String status;
  /**  接收人id（存表sys_user的id） */
   private String recipientIdList;
   /**  模版名称 */
   private String templateName;
   /**  应用名称 */
   private String appNameList;
   /**  预警应用名称 */
   private String warningAppNameList;
   /**  接收人名称列表 */
   private String recipientNameList;

    public String getWarningAppNameList() {
        return warningAppNameList;
    }

    public void setWarningAppNameList(String warningAppNameList) {
        this.warningAppNameList = warningAppNameList;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getAppNameList() {
        return appNameList;
    }

    public void setAppNameList(String appNameList) {
        this.appNameList = appNameList;
    }

    public String getRecipientNameList() {
        return recipientNameList;
    }

    public void setRecipientNameList(String recipientNameList) {
        this.recipientNameList = recipientNameList;
    }

    public String getAppIdList() {
        return appIdList;
    }

    public void setAppIdList(String appIdList) {
        this.appIdList = appIdList;
    }

    public String getRecipientIdList() {
        return recipientIdList;
    }

    public void setRecipientIdList(String recipientIdList) {
        this.recipientIdList = recipientIdList;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getMessageTemplateId() {
        return messageTemplateId;
    }

    public void setMessageTemplateId(String messageTemplateId) {
        this.messageTemplateId = messageTemplateId;
    }


    public String getWarningAppId() {
        return warningAppId;
    }

    public void setWarningAppId(String warningAppId) {
        this.warningAppId = warningAppId;
    }

    public Long getAcceptMessageApiCode() {
        return acceptMessageApiCode;
    }

    public void setAcceptMessageApiCode(Long acceptMessageApiCode) {
        this.acceptMessageApiCode = acceptMessageApiCode;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

}

